#!/bin/bash

INSTALL=install
INSTALL_PROGRAM="${INSTALL} -m 755"
INSTALL_DATA="${INSTALL} -m 644"

: ${prefix:=/usr/local}
bindir=${prefix}/bin
man1dir=${prefix}/share/man/man1

DDPTOOLS="ddpinfo cue2ddp cdtinfo"

if [ $# -eq 0 ]
then
    echo "Installing ddptools to ${DESTDIR}${prefix}"
    ${INSTALL_PROGRAM} -d ${DESTDIR}${bindir} ${DESTDIR}${man1dir}
    for tool in ${DDPTOOLS} ; do
        echo "${INSTALL_PROGRAM} ${tool} ${DESTDIR}${bindir}" ;
        echo "${INSTALL_DATA} doc/${tool}.1 ${DESTDIR}${man1dir}" ;
        echo "gzip -9 -f ${DESTDIR}${man1dir}/${tool}.1" ; 
    done
    echo "Done."
else
    if [ "$1" = "-u" ]
    then
        echo "Uninstalling ddptools from ${prefix}"
        for tool in "${DDPTOOLS}" ; do
            rm -f ${DESTDIR}${bindir}${tool}
            rm -f ${DESTDIR}${man1dir}${tool}.1.gz
        done
        echo "Done."
    else
        echo "Usage:  install.sh [-u]"
        echo "Description: Installs the ddptools package, run this script as root."
        echo "Options:"
        echo "    -u    uninstall ddptools package"
    fi
fi
